# AppConfiguration

> see https://aka.ms/autorest

This is the AutoRest configuration file for AppConfiguration.

---

## Getting Started

To build the SDK for AppConfiguration, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration

### Basic Information

These are the global settings for the AppConfiguration API.

``` yaml
# common
openapi-type: data-plane
tag: package-1-0
```

### Tag: package-2019-07

These settings apply only when `--tag=package-1-0` is specified on the command line.

``` yaml $(tag) == 'package-1-0'
input-file:
- Microsoft.AppConfiguration/stable/1.0/appconfiguration.json
```

---

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.AppConfiguration
  sync-methods: None
  output-folder: $(csharp-sdks-folder)/AppConfiguration/preview/Microsoft.Azure.AppConfiguration/src/Generated
  clear-output-folder: true
  add-credentials: true
```
## Suppression

``` yaml
directive:
  - suppress: DefinitionsPropertiesNamesCamelCase
    from: appconfiguration.json
    where: $.definitions.KeyValue.properties.content_type
    reason: Existing property names. The service uses snake casing for json properties.
  - suppress: DefinitionsPropertiesNamesCamelCase
    from: appconfiguration.json
    where: $.definitions.KeyValue.properties.last_modified
    reason: Existing property names. The service uses snake casing for json properties.
  - suppress: XmsParameterLocation
    from: appconfiguration.json
    where: $.parameters.SyncTokens
    reason: The latest sync token should be used on every request. It is more proper to be globally stored per client rather than passed in for individual requests.
```
## Multi-API/Profile support for AutoRest v3 generators 

AutoRest V3 generators require the use of `--tag=all-api-versions` to select api files.

This block is updated by an automatic script. Edits may be lost!

``` yaml $(tag) == 'all-api-versions' /* autogenerated */
# include the azure profile definitions from the standard location
require: $(this-folder)/../../../profiles/readme.md

# all the input files across all versions
input-file:
  - $(this-folder)/Microsoft.AppConfiguration/stable/1.0/appconfiguration.json

```

If there are files that should not be in the `all-api-versions` set, 
uncomment the  `exclude-file` section below and add the file paths.

``` yaml $(tag) == 'all-api-versions'
#exclude-file: 
#  - $(this-folder)/Microsoft.Example/stable/2010-01-01/somefile.json
```

