# vsonline

> see https://aka.ms/autorest

This is the AutoRest configuration file for Azure Communication Services.

---

## Getting Started

To build the SDKs for Azure Communication Services, simply [Install AutoRest](https://aka.ms/autorest/install) or via `npm` (`npm install -g autorest`) and in this folder run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the Azure Communication Services API.

```yaml
title: CommunicationServiceManagementClient
openapi-type: arm
openapi-subtype: rpaas
tag: package-2020-08-20
```

### Tag: package-2020-08-20

These settings apply only when `--tag=package-2020-08-20` is specified on the command line.

```yaml $(tag) == 'package-2020-08-20'
input-file:
  - Microsoft.Communication/stable/2020-08-20/CommunicationService.json
```

### Tag: package-2020-08-20-preview

These settings apply only when `--tag=package-2020-08-20-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-08-20-preview'
input-file:
  - Microsoft.Communication/preview/2020-08-20-preview/CommunicationService.json
```

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-powershell
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-java
  - repo: azure-cli-extensions
```

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Typescript

See configuration in [readme.typescript.md](./readme.typescript.md)
