# Confluent

> see https://aka.ms/autorest

This is the AutoRest configuration file for Confluent.



---
## Getting Started
To build the SDK for Confluent, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the Confluent API.

``` yaml
title: ConfluentManagementClient
openapi-type: arm
openapi-subtype: rpaas
tag: package-2020-03-01-preview
```

### Tag: package-2020-03-01

These settings apply only when `--tag=package-2020-03-01` is specified on the command line.

``` yaml $(tag) == 'package-2020-03-01'
input-file:
- Microsoft.Confluent/stable/2020-03-01/confluent.json
```

### Tag: package-2020-03-01-preview

These settings apply only when `--tag=package-2020-03-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-03-01-preview'
input-file:
- Microsoft.Confluent/preview/2020-03-01-preview/confluent.json
```

### Tag: package-2021-03-01-preview

These settings apply only when `--tag=package-2021-03-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2021-03-01-preview'
input-file:
- Microsoft.Confluent/preview/2021-03-01-preview/confluent.json
```

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_confluent']
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## C#

See configuration in [readme.csharp.md](./readme.csharp.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

See configuration in [readme.java.md](./readme.java.md)

## Node.js

See configuration in [readme.nodejs.md](./readme.nodejs.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

