# healthbot

> see https://aka.ms/autorest

This is the AutoRest configuration file for healthbot.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the healthbot.

```yaml
title: HealthbotClient
openapi-type: arm
openapi-subtype: rpaas
tag: package-2020-12-08
```


### Tag: package-2020-10-20-preview

These settings apply only when `--tag=package-2020-10-20-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-10-20-preview'
input-file:
  - Microsoft.HealthBot/preview/2020-10-20-preview/healthbot.json
```

---

### Tag2: package-2020-10-20

These settings apply only when `--tag=package-2020-10-20` is specified on the command line.

```yaml $(tag) == 'package-2020-10-20'
input-file:
  - Microsoft.HealthBot/stable/2020-10-20/healthbot.json
```

---

### Tag3: package-2020-12-08-preview

These settings apply only when `--tag=package-2020-12-08-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-12-08-preview'
input-file:
  - Microsoft.HealthBot/preview/2020-12-08-preview/healthbot.json
```

---

### Tag3: package-2020-12-08

These settings apply only when `--tag=package-2020-12-08` is specified on the command line.

```yaml $(tag) == 'package-2020-12-08'
input-file:
  - Microsoft.HealthBot/stable/2020-12-08/healthbot.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-powershell
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-ruby
  - repo: azure-sdk-for-go
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_healthbot']
  - repo: azure-cli-extensions
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## GO

See configuration in [readme.go.md](./readme.go.md)

## Java

See configuration in [readme.java.md](./readme.java.md)
