# Azure NetApp Files

> see https://aka.ms/autorest

This is the AutoRest configuration file for Azure NetApp Files.



---
## Getting Started
To build the SDK for Azure NetApp Files, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the Azure NetApp Files API.

``` yaml
title: NetAppManagementClient
description: Microsoft NetApp Files Azure Resource Provider specification
openapi-type: arm
tag: package-netapp-2020-12-01
```

### Tag: package-netapp-2020-12-01

These settings apply only when `--tag=package-netapp-2020-12-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-12-01'
input-file:
- Microsoft.NetApp/stable/2020-12-01/netapp.json
```

### Tag: package-netapp-2020-11-01

These settings apply only when `--tag=package-netapp-2020-11-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-11-01'
input-file:
- Microsoft.NetApp/stable/2020-11-01/netapp.json
```

### Tag: package-netapp-2020-09-01

These settings apply only when `--tag=package-netapp-2020-09-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-09-01'
input-file:
- Microsoft.NetApp/stable/2020-09-01/netapp.json
```

### Tag: package-netapp-2020-08-01

These settings apply only when `--tag=package-netapp-2020-08-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-08-01'
input-file:
- Microsoft.NetApp/stable/2020-08-01/netapp.json
```

### Tag: package-netapp-2020-07-01

These settings apply only when `--tag=package-netapp-2020-07-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-07-01'
input-file:
- Microsoft.NetApp/stable/2020-07-01/netapp.json
```

### Tag: package-netapp-2020-06-01

These settings apply only when `--tag=package-netapp-2020-06-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-06-01'
input-file:
- Microsoft.NetApp/stable/2020-06-01/netapp.json
```

### Tag: package-netapp-2020-05-01

These settings apply only when `--tag=package-netapp-2020-05-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-05-01'
input-file:
- Microsoft.NetApp/stable/2020-05-01/netapp.json
```

### Tag: package-netapp-2020-03-01

These settings apply only when `--tag=package-netapp-2020-03-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-03-01'
input-file:
- Microsoft.NetApp/stable/2020-03-01/netapp.json
```

### Tag: package-netapp-2020-02-01

These settings apply only when `--tag=package-netapp-2020-02-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2020-02-01'
input-file:
- Microsoft.NetApp/stable/2020-02-01/netapp.json
```

### Tag: package-netapp-2019-11-01

These settings apply only when `--tag=package-netapp-2019-11-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2019-11-01'
input-file:
- Microsoft.NetApp/stable/2019-11-01/netapp.json
```

### Tag: package-netapp-2019-10-01

These settings apply only when `--tag=package-netapp-2019-10-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2019-10-01'
input-file:
- Microsoft.NetApp/stable/2019-10-01/netapp.json
```

### Tag: package-netapp-2019-08-01

These settings apply only when `--tag=package-netapp-2019-08-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2019-08-01'
input-file:
- Microsoft.NetApp/stable/2019-08-01/netapp.json
```

### Tag: package-netapp-2019-07-01

These settings apply only when `--tag=package-netapp-2019-07-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2019-07-01'
input-file:
- Microsoft.NetApp/stable/2019-07-01/netapp.json
```

### Tag: package-netapp-2019-06-01

These settings apply only when `--tag=package-netapp-2019-06-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2019-06-01'
input-file:
- Microsoft.NetApp/stable/2019-06-01/netapp.json
```

### Tag: package-netapp-2019-05-01

These settings apply only when `--tag=package-netapp-2019-05-01` is specified on the command line.

``` yaml $(tag) == 'package-netapp-2019-05-01'
input-file:
- Microsoft.NetApp/stable/2019-05-01/netapp.json
```

### Tag: package-2017-08-15

These settings apply only when `--tag=package-2017-08-15` is specified on the command line.

``` yaml $(tag) == 'package-2017-08-15'
input-file:
- Microsoft.NetApp/preview/2017-08-15/netapp.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-trenton  
  - repo: azure-resource-manager-schemas
```


## C#

See configuration in [readme.csharp.md](./readme.csharp.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## JavaScript/TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

See configuration in [readme.java.md](./readme.java.md)



## Terraform

These settings apply only when `--terraform` is specified on the command line.

``` yaml $(terraform)
terraform:
    cli-name: netapp
    azure_arm: true
    license_header: MICROSOFT_MIT_NO_VERSION
    payload_flattening_threshold: 2
    namespace: netapp
    package-name: netapp
    clear-output-folder: false
```

