# portal

> see https://aka.ms/autorest

This is the AutoRest configuration file for portal.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the portal.

``` yaml
openapi-type: arm
tag: package-2020-09-01-preview
```


### Tag: package-2020-09-01-preview

These settings apply only when `--tag=package-2020-09-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-09-01-preview'
input-file:
  - Microsoft.Portal/preview/2020-09-01-preview/portal.json
  - Microsoft.Portal/preview/2020-09-01-preview/tenantConfiguration.json
```
### Tag: package-2019-01-01-preview

These settings apply only when `--tag=package-2019-01-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-01-01-preview'
input-file:
  - Microsoft.Portal/preview/2019-01-01-preview/portal.json
  - Microsoft.Portal/preview/2019-01-01-preview/tenantConfiguration.json
```

### Tag: package-2018-10-01-preview

These settings apply only when `--tag=package-2018-10-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-10-01-preview'
input-file:
  - Microsoft.Portal/preview/2018-10-01-preview/portal.json
```

### Tag: package-2015-08-01-preview

These settings apply only when `--tag=package-2015-08-01-preview` is specified on the command line.

``` yaml $(tag) == 'package-2015-08-01-preview'
input-file:
  - Microsoft.Portal/preview/2015-08-01-preview/portal.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-powershell
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_portal']
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## NodeJS

See configuration in [readme.nodejs.md](./readme.nodejs.md)



