# testbase

> see https://aka.ms/autorest

This is the AutoRest configuration file for testbase.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the testbase.

``` yaml
openapi-type: arm
openapi-subtype: rpaas
tag: package-preview-2021-05
```


### Tag: package-preview-2021-05

These settings apply only when `--tag=package-preview-2021-05` is specified on the command line.

```yaml $(tag) == 'package-preview-2021-05'
input-file:
  - Microsoft.TestBase/preview/2021-05-10-preview/testbase.json
```
### Tag: package-2020-12-16-preview

These settings apply only when `--tag=package-2020-12-16-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-12-16-preview'
input-file:
  - Microsoft.TestBase/preview/2020-12-16-preview/testbase.json
directive:
- suppress: R4031
  from: testbase.json
  reason: provisioningState is not required for Proxy Resources.
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-resource-manager-schemas
```

## Suppression

``` 
directive:
  - suppress: SECRET_PROPERTY
    from:
      - Microsoft.TestBase/preview/2020-12-16-preview/testbase.json
    where:
      - $.definitions.DownloadURLResponse.properties.downloadUrl
    reason: Secrets are OK to return in a POST response according to ARM.
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)
